# Generated from hydra-head-13.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name hydra-head

Name: rubygem-%{gem_name}
Version: 13.1.0
Release: 1%{?dist}
Summary: Hydra-Head Rails Engine
License: APACHE-2.0
URL: https://github.com/samvera/hydra-head
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 3.1
# BuildRequires: rubygem(coveralls)
# BuildRequires: rubygem(engine_cart) >= 2.3
# BuildRequires: rubygem(factory_bot)
# BuildRequires: rubygem(factory_bot_rails)
# BuildRequires: rubygem(fcrepo_wrapper) >= 0.9
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(solr_wrapper) >= 3.1
# BuildRequires: rubygem(rspec_junit_formatter)
# BuildRequires: rubygem(rails-controller-testing)
BuildArch: noarch

%description
Hydra-Head is a Rails Engine containing the core code for a Hydra application.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Fri May 23 2025 mockbuilder - 13.1.0-1
- Initial package
